Commit ceb9b9d1 authored by Laurent Montel's avatar Laurent Montel 😁

It's already done by kaboutdata

parent ef0a1986
PROJECT(ksquares)
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")
set (KF5_MIN_VERSION "5.15.0")
set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")
find_package(ECM 1.7.0 REQUIRED CONFIG)
find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets)
......
......@@ -45,8 +45,6 @@ int main(int argc, char **argv)
QCommandLineParser parser;
KAboutData::setApplicationData(about);
KCrash::initialize();
parser.addVersionOption();
parser.addHelpOption();
parser.addOption(QCommandLineOption(QStringList() << QStringLiteral("demo"), i18n("Run game in demo (autoplay) mode")));
about.setupCommandLine(&parser);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment